Layer 4
Layer 4 Hanging entries
List the Layer 4 objects with pending changes
curl
curl -X GET "https://appliance.example.com/api/v1/ipvsDirector/hangings" \
-H "Authorization: Bearer $TOKEN"
PHP
<?php
$url = 'https://appliance.example.com/api/v1/ipvsDirector/hangings';
$headers = [
'Authorization: Bearer ' . $token,
];
$ch = curl_init($url);
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => $headers,
CURLOPT_RETURNTRANSFER => true,
]);
$response = json_decode(curl_exec($ch), true);
curl_close($ch);
Python
import requests
headers = {"Authorization": f"Bearer {token}"}
response = requests.get("https://appliance.example.com/api/v1/ipvsDirector/hangings", headers=headers)
response.raise_for_status()
print(response.json())
JavaScript
const response = await fetch('https://appliance.example.com/api/v1/ipvsDirector/hangings', {
method: 'GET',
headers: {
Authorization: `Bearer ${token}`,
},
});
const data = await response.json();
Bruno
meta {
name: List the Layer 4 objects with pending changes
type: http
seq: 1
}
get {
url: https://{{node-0}}:{{port}}/api/v1/ipvsDirector/hangings
body: none
auth: bearer
}
auth:bearer {
token: {{token}}
}
Response
{
"status": "success",
"message": "Hangings retrieved successfully",
"data": {
"acls": 5,
"backends": 3
}
}